--DBA

CREATE PROFILE profile_practicante LIMIT
CONNECT_TIME 500
IDLE_TIME 15
FAILED_LOGIN_ATTEMPTS 1
PASSWORD_LOCK_TIME 1;

CREATE USER practicante1 IDENTIFIED BY "Practicas_2020"
DEFAULT TABLESPACE DATA
TEMPORARY TABLESPACE TEMP
PROFILE profile_practicante;

CREATE ROLE rol_practicante;
GRANT SELECT ANY TABLE TO rol_practicante;
GRANT CREATE SESSION TO rol_practicante;

GRANT rol_practicante TO practicante1;

ALTER USER practicante1 ACCOUNT UNLOCK;

ALTER PROFILE profile_practicante LIMIT
FAILED_LOGIN_ATTEMPTS 3;


DROP USER desarrollo_personal CASCADE;